buildscript {
    repositories {
        mavenLocal()
        maven {
            allowInsecureProtocol = true
            url "http://maven.aliyun.com/nexus/content/groups/public" }
        mavenCentral()
    }
    dependencies {
        classpath("$bootGroup:spring-boot-gradle-plugin:$springBootVersion")
    }
}

apply plugin: "$bootGroup"
apply plugin: 'io.spring.dependency-management'

dependencies {
    implementation project(":common:utils")
    implementation project(":common:data")
    implementation project(":timeseries:dao-interface")
    implementation project(":timeseries:dao-sql")
    //compile project(":timeseries:dao-redis")
   // compile project(":timeseries:dao-simulator")
    //implementation project(":timeseries:dao-golden")
    //compile project(":timeseries:dao-taos")
    implementation project(":timeseries:dao-taoscz")
    //compile project(":timeseries:dao-hive")
    //compile project(":timeseries:dao-hadoop")
    implementation fileTree(dir: 'src/main/lib', include: '*.jar') //// oracle连接驱动       2区使用
   // implementation ("mysql:mysql-connector-java:$mysqlConnectorVersion")
    implementation ("com.alibaba:druid:$alibabaDruidVersion")
    testImplementation("$bootGroup:spring-boot-starter-test")
    implementation("$bootGroup:spring-boot-starter-web")
    //compile("$bootGroup:spring-boot-starter-session")
    implementation("$bootGroup:spring-boot-starter-websocket")
    implementation("$bootGroup:spring-boot-starter-undertow")
    implementation("org.apache.logging.log4j:log4j-core:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-jul:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-api:$log4jVersion")
    implementation("org.apache.logging.log4j:log4j-slf4j-impl:$log4jVersion")
    //compile('org.springframework.boot:spring-boot-starter-data-redis')
    //implementation "org.springframework.boot:spring-boot-starter-redis:1.3.5.RELEASE"
    //compile('io.moquette:moquette-broker:0.10')
    implementation('com.fasterxml.jackson.datatype:jackson-datatype-jdk8')
    implementation ("com.taosdata.jdbc:taos-jdbcdriver:$taosVersion")
    implementation 'org.postgresql:postgresql:42.4.0'

}

